KAUTH(1)

NAME
kauth - overworked Kerberos login program

SYNOPSIS
kauth [-n name] [-r remote user] [-t remote ticket file] [-h hosts...] [-l lifetime] [-f srvtab] [-c cell] [command ...]

DESCRIPTION
The kauth command obtains ticket granting tickets as well as AFS ticket and tokens. It also does a whole lot of other stuff.

The following flags are supported:

-n  Principal to get tickets for. If no other arguments are present this can be given without the -n flag.

-h  Remote hosts to obtain tickets for. This works similar to the MIT Athena Kerberos 4 patchlevel 10 command rkinit(1), however not in a compatible way. It requires that the remote host runs the kauthd(8), server. The -r and -t flags are useful only with this option.

-r  User on the remote host that should own the ticket file.

-t  Ticket file on remote host.

-l  Lifetime of tickets in minutes. A value of -1 is used for maximum ticket lifetime.

-f  Srvtab to get service keys from. Default is /etc/srvtab. This is mainly used with batch services that need to run authenticated. If any command is given, it will be executed in an authenticated fashion and when the program exits the tickets are destroyed. For long running jobs the tickets will be renewed.

-c  AFS cell to get tokens for, default is your local cell.

SEE ALSO
kinit(1), kauthd(8), kafs(3)

BUGS
There is no help-switch.